org.apache.ignite.internal.processors.query.h2.twostep.messages

## Class GridQueryNextPageResponse

- java.lang.Object
- - org.apache.ignite.internal.processors.query.h2.twostep.messages.GridQueryNextPageResponse

All Implemented Interfaces:
  Serializable, Message

    public class GridQueryNextPageResponse
    extends Object
    implements Message

Next page response.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridQueryNextPageResponse()` For `Externalizable`.
`GridQueryNextPageResponse(long qryReqId, int qry, int page, int allRows, int cols, Collection<Message> vals, Collection<?> plainRows)`

### Method Summary

Methods
`int` `allRows()`
`int` `columns()`
`byte` `directType()` Gets message type.
`byte` `fieldsCount()` Gets fields count.
`void` `onAckReceived()` Method called when ack message received.
`int` `page()`
`Collection<?>` `plainRows()`
`int` `query()`
`long` `queryRequestId()`
`boolean` `readFrom(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`AffinityTopologyVersion` `retry()`
`void` `retry(AffinityTopologyVersion retry)`
`String` `toString()`
`Collection<Message>` `values()`
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridQueryNextPageResponse

    public GridQueryNextPageResponse()

For `Externalizable`.

#### GridQueryNextPageResponse

    public GridQueryNextPageResponse(long qryReqId,
                             int qry,
                             int page,
                             int allRows,
                             int cols,
                             Collection<Message> vals,
                             Collection<?> plainRows)

Parameters:
  `qryReqId` - Query request ID.
  `qry` - Query.
  `page` - Page.
  `allRows` - All rows count.
  `cols` - Number of columns in row.
  `vals` - Values for rows in this page added sequentially.
  `plainRows` - Not marshalled rows for local node.

### Method Detail

#### queryRequestId

    public long queryRequestId()

Returns:
  Query request ID.

#### query

    public int query()

Returns:
  Query.

#### page

    public int page()

Returns:
  Page.

#### allRows

    public int allRows()

Returns:
  All rows.

#### columns

    public int columns()

Returns:
  Columns in row.

#### values

    public Collection<Message> values()

Returns:
  Values.

#### plainRows

    public Collection<?> plainRows()

Returns:
  Plain rows.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### onAckReceived

    public void onAckReceived()

Method called when ack message received.

Specified by:
  `onAckReceived` in interface `Message`

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                  MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom(ByteBuffer buf,
                   MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

#### directType

    public byte directType()

Gets message type.

Specified by:
  `directType` in interface `Message`
Returns:
  Message type.

#### fieldsCount

    public byte fieldsCount()

Gets fields count.

Specified by:
  `fieldsCount` in interface `Message`
Returns:
  Fields count.

#### retry

    public AffinityTopologyVersion retry()

Returns:
  Retry topology version.

#### retry

    public void retry(AffinityTopologyVersion retry)

Parameters:
  `retry` - Retry topology version.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.6.0
Release Date | : May 18 2016